/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.extension;

import java.util.Arrays;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertNotEquals;

/**
 * Validate {@link ExtensionLicense}.
 *
 * @version $Id: 030db2576f8317f6ccd87518b4547a322a8f4782 $
 */
class ExtensionLicenseTest
{
    @Test
    void equals()
    {
        assertEquals(new ExtensionLicense("name", Arrays.asList("content")),
            new ExtensionLicense("name", Arrays.asList("content")));
        assertEquals(new ExtensionLicense("name", Arrays.asList("content")),
            new ExtensionLicense("name", Arrays.asList("content2")));

        assertNotEquals(new ExtensionLicense("name", Arrays.asList("content")),
            new ExtensionLicense("name2", Arrays.asList("content")));
    }
}
