/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.extension.test;

import java.io.UnsupportedEncodingException;

import org.apache.commons.lang3.StringUtils;
import org.xwiki.extension.AbstractExtension;
import org.xwiki.extension.Extension;
import org.xwiki.extension.repository.internal.core.DefaultCoreExtensionFile;

public class ResourceExtension extends AbstractExtension
{
    ResourceExtension(ResourceExtensionRepository repository, Extension extension) throws UnsupportedEncodingException
    {
        super(repository, extension);

        if (StringUtils.isNotEmpty(getType())) {
            setFile(new DefaultCoreExtensionFile(getResourceExtensionRepository().getResource(getId(), getType())));
        }
    }

    private ResourceExtensionRepository getResourceExtensionRepository()
    {
        return (ResourceExtensionRepository) getRepository();
    }
}
