/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.filter.input;

import org.xwiki.component.annotation.Role;
import org.xwiki.filter.FilterException;

/**
 * Allow converting the {@link String} representation of a {@link InputSource}.
 * 
 * @version $Id: b647135d330541a8a2246ef4504892b780af9b10 $
 * @since 13.4RC1
 */
@Role
public interface InputSourceReferenceParser
{
    /**
     * @param reference the reference of the input source
     * @return the {@link InputSource} corresponding to the reference
     * @throws FilterException when failing to parse the reference
     */
    InputSource parse(String reference) throws FilterException;
}
