/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.filter.output;

import org.xwiki.component.annotation.Role;

/**
 * Convert a specific type of data into an {@link OutputTarget}.
 * 
 * @param <T>
 * @version $Id: 4764980ade6de354b1391d51743d0deac439426f $
 * @since 13.4RC1
 */
@Role
public interface OutputTargetConverter<T>
{
    /**
     * @param value the value to convert to a {@link OutputTarget}
     * @return the {@link OutputTarget} corresponding to the provided value
     */
    OutputTarget convert(T value);
}
