/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.websocket.internal;

import java.util.Collections;

import org.junit.jupiter.api.Test;
import org.xwiki.websocket.internal.XWikiEndpointInitializerTest.TestEndpoint;

import static org.junit.jupiter.api.Assertions.assertEquals;

/**
 * Unit tests for {@link XWikiServerApplicationConfig}.
 * 
 * @version $Id: e8ca024e6d137577482b08a5e1fb018d96f0ec5a $
 */
class XWikiServerApplicationConfigTest
{
    private XWikiServerApplicationConfig config = new XWikiServerApplicationConfig();

    @Test
    void getEndpointConfigs()
    {
        assertEquals(Collections.emptySet(),
            this.config.getEndpointConfigs(Collections.singleton(XWikiEndpointDispatcher.class)));
    }

    @Test
    void getAnnotatedEndpointClasses()
    {
        assertEquals(Collections.emptySet(),
            this.config.getAnnotatedEndpointClasses(Collections.singleton(TestEndpoint.class)));
    }
}
