/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.xml.internal.html;

import javax.inject.Named;
import javax.inject.Singleton;

import org.xwiki.component.annotation.Component;
import org.xwiki.xml.html.HTMLElementSanitizer;

/**
 * Implementation of {@link HTMLElementSanitizer} that allows all elements and attributes.
 *
 * @version $Id: 7dfa4b24831db02690051573982dc5228f00a685 $
 * @since 14.6RC1
 */
@Component
@Singleton
@Named("insecure")
public class InsecureHTMLElementSanitizer implements HTMLElementSanitizer
{
    @Override
    public boolean isElementAllowed(String elementName)
    {
        return true;
    }

    @Override
    public boolean isAttributeAllowed(String elementName, String attributeName, String value)
    {
        return true;
    }
}
